Productsup
CDE APIApi referenceConnectors

Move Connector to bin.

Move Connector to bin.

Sign in to run requests against the CDE API.
PATCH
/connectors/{publicId}/move-to-bin

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/move-to-bin"
{
  "message": "Connector has been moved to bin.",
  "resource": "connector",
  "data": {
    "id": "019e16f4-8f7e-7bc4-8aa0-829cde8dcba3",
    "type": "transform",
    "name": "Name",
    "description": "Description",
    "readme": null,
    "flow": "default",
    "main-version-number": null,
    "owner": "019e16f4-8f73-7219-9e43-401a53f44e0c",
    "integrator": "019e16f4-8f73-7219-9e43-401a53f44e0c",
    "versions": [],
    "main": null
  }
}
{
  "message": "Connector is actively used on the platform.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?